# Generate Report for Release

Generate a CSV report for a specific release within a time period. The report generation is asynchronous and returns a report job ID that can be used to track status and download the report.

Endpoint: POST /rmg/api/release/{releaseId}/report/generate
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

## Path parameters:

  - `releaseId` (string, required)

## Request fields (application/json):

  - `startTs` (integer, required)
    Start timestamp in milliseconds (Unix epoch)

  - `endTs` (integer, required)
    End timestamp in milliseconds (Unix epoch)

## Response 200 fields (application/json):

  - `reportId` (string, required)

  - `status` (string, required)
    Enum: "PENDING", "IN_PROGRESS", "COMPLETED", "FAILED"

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


